org.gradle.platform.base

## Interface ModuleDependencySpecBuilder

- All Superinterfaces:
    DependencySpecBuilder

      @Incubating
      public interface ModuleDependencySpecBuilder
      extends DependencySpecBuilder

  A builder of a `ModuleDependencySpec`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModuleDependencySpecBuilder` | `group(String name)` Narrows this dependency specification down to a specific group.
    `ModuleDependencySpecBuilder` | `module(String name)` Narrows this dependency specification down to a specific module.
    `ModuleDependencySpecBuilder` | `version(String range)` Narrows this dependency specification down to a specific version range.

    - ### Methods inherited from interface org.gradle.platform.base.DependencySpecBuilder

      `build`

- - ### Method Detail

    - #### module

          ModuleDependencySpecBuilder module(String name)

      Narrows this dependency specification down to a specific module.
      Parameters:
        `name` - the module name
      Returns:
        this instance

    - #### group

          ModuleDependencySpecBuilder group(String name)

      Narrows this dependency specification down to a specific group.
      Parameters:
        `name` - the group name
      Returns:
        this instance

    - #### version

          ModuleDependencySpecBuilder version(String range)

      Narrows this dependency specification down to a specific version range.
      Parameters:
        `range` - the version range
      Returns:
        this instance